NXOpen.UF.Modl.CreateExtrusion1

Modl.CreateExtrusion1()

Refer to UF_MODL_create_extrusion1 for documentation.

Signature: CreateExtrusion1(objects, objectCount, trimData, taperAngle, limits, offsets, regionPoint, regionSpecified, solidCreation, direction, sign, targetBody)

Parameters:
  • objects (list of Tag) – List of objects to be extruded
  • objectCount (int) – Number of objects
  • trimData (NXOpen.UF.Modl.SweepTrimObject Refer to UF_MODL_SWEEP_TRIM_object_s for documentation.) – Pointer to structure for trimming data
  • taperAngle (str) – Taper Angle.
  • limits (list of str) – Limits of extrusion. Only valid if trim_data = NULL
  • offsets (list of str) – Offsets for open strings
  • regionPoint (list of float) – Point on region desired
  • regionSpecified (bool) – True or False for region desired
  • solidCreation (bool) – If TRUE, create solid bodies if input string closed. Otherwise, sheet bodies are the result.
  • direction (list of float) – Extrusion direction
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
  • targetBody (Tag) – target body to perform Boolean operation
Returns:

A Tuple

Return type:

A tuple consisting of (features,numberOfFeatures)

features(list of Tag): Array of extruded feature tags. This must be freed by calling UF_free.

numberOfFeatures(int): Number of features returned

License requirements: SOLIDS MODELING